# \Thelia\Core\Template\SmartySmartyParser

## Summary

Methods
Properties
Constants
__construct()
preThelia()
removeBlankLines()
setTemplate()
getTemplate()
render()
getContent()
setContent()
getStatus()
setStatus()
addPlugins()
registerPlugins()
$plugins
No constants found
getTemplateFilePath()
$request
$dispatcher
$parserContext
$template
$status
N/A
No private methods found
No private properties found
N/A

File
  Core/Template/Smarty/SmartyParser.php
Package
  \Default
Class hierarchy
  \Smarty
  \Thelia\Core\Template\Smarty\SmartyParser

## Tags

author | Franck Allimant franck@cqfdev.fr Etienne Roudeix eroudeix@openstudio.fr

## Properties

### $plugins

    $plugins

#

## Tags

None found

### $request

    $request

#

## Tags

None found

### $dispatcher

    $dispatcher

#

## Tags

None found

### $parserContext

    $parserContext

#

## Tags

None found

### $template

    $template

#

## Tags

None found

### $status

    $status

#

## Tags

None found

## Methods

### __construct()

    __construct(\Symfony\Component\HttpFoundation\Request $request, \Symfony\Component\EventDispatcher\EventDispatcherInterface $dispatcher, \Thelia\Core\Template\ParserContext $parserContext, bool $template, string $env, bool $debug)

#### Parameters

\Symfony\Component\HttpFoundation\Request | $request |
\Symfony\Component\EventDispatcher\EventDispatcherInterface | $dispatcher |
\Thelia\Core\Template\ParserContext | $parserContext |
bool | $template |
string | $env |
bool | $debug |

#

## Tags

None found

### preThelia()

    preThelia( $tpl_source, \Smarty_Internal_Template $template)

#### Parameters

| $tpl_source |
\Smarty_Internal_Template | $template |

#

## Tags

None found

### removeBlankLines()

    removeBlankLines( $tpl_source, \Smarty_Internal_Template $template)

#### Parameters

| $tpl_source |
\Smarty_Internal_Template | $template |

#

## Tags

None found

### setTemplate()

    setTemplate( $template_path_from_template_base)

#### Parameters

| $template_path_from_template_base |

#

## Tags

None found

### getTemplate()

    getTemplate()

#

## Tags

None found

### render()

    render(string $realTemplateName, array $parameters) : string

Return a rendered template file

#### Parameters

string | $realTemplateName | the template name (from the template directory)
array | $parameters | an associative array of names / value pairs

#### Returns

string —

the rendered template text

#

## Tags

None found

### getContent()

    getContent()

This method must return a Symfony\Component\HttpFoudation\Response instance or the content of the response

#

## Tags

None found

### setContent()

    setContent(string|\Thelia\Core\Template\Smarty\Symfony\Component\HttpFoundation\Response $content)

set $content with the body of the response or the Response object directly

#### Parameters

string|\Thelia\Core\Template\Smarty\Symfony\Component\HttpFoundation\Response | $content |

#

## Tags

None found

### getStatus()

    getStatus() : \Thelia\Core\Template\Smarty\type

#### Returns

\Thelia\Core\Template\Smarty\type —

the status of the response

#

## Tags

None found

### setStatus()

    setStatus(int $status)

status HTTP of the response

#### Parameters

int | $status |

#

## Tags

None found

### addPlugins()

    addPlugins(\Thelia\Core\Template\Smarty\AbstractSmartyPlugin $plugin)

#### Parameters

\Thelia\Core\Template\Smarty\AbstractSmartyPlugin | $plugin |

#

## Tags

None found

### registerPlugins()

    registerPlugins()

#

## Tags

None found

### getTemplateFilePath()

    getTemplateFilePath()

#

## Tags

None found

### SmartyParser.php